Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Equinox » Eclipse install fails on conflicting equinox p2 dependency(Cannot complete install conflicting dependency org.eclipse.equinox.p2.director)
Eclipse install fails on conflicting equinox p2 dependency [message #1697809] Mon, 08 June 2015 14:55
Rick Bollinger is currently offline Rick BollingerFriend
Messages: 1
Registered: June 2015
Junior Member
I am posting this here in case somebody can use it to improve Eclipse. Over-installing various versions of Eclipse did not resolve the problem. I think my experience with open source software started by acquiescing to install Java 8. Things have gone downhill from there. Now that Eclipse is broken my prototype development efforts are dead in the water.

The .log file:

!SESSION 2015-06-08 09:12:25.572 -----------------------------------------------
eclipse.buildId=4.4.2.M20150204-1700
java.version=1.8.0_40
java.vendor=Oracle Corporation
BootLoader constants: OS=win32, ARCH=x86_64, WS=win32, NL=en_US
Framework arguments: -product org.eclipse.epp.package.java.product
Command-line arguments: -os win32 -ws win32 -arch x86_64 -product org.eclipse.epp.package.java.product

!ENTRY org.eclipse.equinox.p2.operations 4 0 2015-06-08 09:19:09.271
!MESSAGE Operation details
!SUBENTRY 1 org.eclipse.equinox.p2.director 4 10054 2015-06-08 09:19:09.271
!MESSAGE Cannot complete the install because of a conflicting dependency.
!SUBENTRY 2 org.eclipse.equinox.p2.director 4 0 2015-06-08 09:19:09.271

...see the rest in the attach file as the start experiences many FrameworkEvent ERROR events.

I saw many forums where related problems were revealed with Equinox/p2. None had a solid fix.

In my case, I will try the Eclipse Mars installer to see if it more competent than a user 'copy'.

Live long and prosper.

Rick
  • Attachment: .log
    (Size: 227.92KB, Downloaded 82 times)
Previous Topic:Unresolved requirement: Require-Capability: eclipse.platform
Next Topic:Get list of installed IU
Goto Forum:
  


Current Time: Thu Nov 15 06:21:23 GMT 2018

Powered by FUDForum. Page generated in 0.02651 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top